## videobalance

videobalance

## Properties

gdouble | brightness | Read / Write
gdouble | contrast | Read / Write
gdouble | hue | Read / Write
gdouble | saturation | Read / Write

## Types and Values

struct | GstVideoBalance

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstVideoBalance

## Implemented Interfaces

GstVideoBalance implements GstImplementsInterface and GstColorBalance.

## Description

Adjusts brightness, contrast, hue, saturation on a video stream.

### Example launch line

    1

    gst-launch-1.0 videotestsrc ! videobalance saturation=0.0 ! videoconvert ! ximagesink

This pipeline converts the image to black and white by setting the saturation to 0.0.

## Synopsis

### Element Information

plugin | videofilter
author | David Schleef <ds@schleef.org>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, RGBx, xBGR, BGRx, RGB, BGR, Y42B, YUY2, UYVY, YVYU, I420, YV12, IYUV, Y41B, NV12, NV21 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw(ANY)

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, RGBx, xBGR, BGRx, RGB, BGR, Y42B, YUY2, UYVY, YVYU, I420, YV12, IYUV, Y41B, NV12, NV21 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw(ANY)

## Functions

## Types and Values

### struct GstVideoBalance

    struct GstVideoBalance;

Opaque data structure.

## Property Details

### The `“brightness”` property

      “brightness”               gdouble

brightness.

Owner: GstVideoBalance

Flags: Read / Write

Allowed values: [-1,1]

Default value: 0

### The `“contrast”` property

      “contrast”                 gdouble

contrast.

Owner: GstVideoBalance

Flags: Read / Write

Allowed values: [0,2]

Default value: 1

### The `“hue”` property

      “hue”                      gdouble

hue.

Owner: GstVideoBalance

Flags: Read / Write

Allowed values: [-1,1]

Default value: 0

### The `“saturation”` property

      “saturation”               gdouble

saturation.

Owner: GstVideoBalance

Flags: Read / Write

Allowed values: [0,2]

Default value: 1